com.microfocus.awm.model

## Interface IProcessDirectory

- All Known Implementing Classes:
    ProcessDirectory

  Deprecated.

      @Deprecated
      public interface IProcessDirectory

  Manages existing `ITaurusProcess`es.

  This interface should be called to handle the life cycle of `ITaurusProcess`es.

  Author:
    Joachim Kaltenbach Copyright (C) Micro Focus 2010

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ITaurusProcess pProcess)` Deprecated. Add a new TAURUS process to the process list.
    `void` | `clearProcessList()` Deprecated. Clear the process list.
    `java.util.Set<ITaurusProcess>` | `getProcesses()` Deprecated. Returns the set of active TAURUS processes.
    `java.lang.String` | `getProcessIDs()` Deprecated. Gets a line separated list of all currently running process IDs.
    `boolean` | `isEmpty()` Deprecated. Check if the process list is empty.
    `boolean` | `removeProcess(ITaurusProcess pProcess)` Deprecated. Remove the given TAURUS process from the process list.

- - ### Method Detail

    - #### addProcess

          void addProcess(ITaurusProcess pProcess)

      Deprecated.
      Add a new TAURUS process to the process list.
      Parameters:
        `pProcess` - TAURUS process

    - #### removeProcess

          boolean removeProcess(ITaurusProcess pProcess)

      Deprecated.
      Remove the given TAURUS process from the process list.
      Parameters:
        `pProcess` - TAURUS process
      Returns:
        `true`, if the removal of the process was successful, otherwise `false`

    - #### isEmpty

          boolean isEmpty()

      Deprecated.
      Check if the process list is empty.
      Returns:
        `true`, if the process list is empty, otherwise `false`

    - #### clearProcessList

          void clearProcessList()

      Deprecated.
      Clear the process list.

    - #### getProcesses

          java.util.Set<ITaurusProcess> getProcesses()

      Deprecated.
      Returns the set of active TAURUS processes.
      Returns:
        set of active TAURUS processes

    - #### getProcessIDs

          java.lang.String getProcessIDs()

      Deprecated.
      Gets a line separated list of all currently running process IDs.
      Returns:
        a line separated list of all currently running process IDs

Copyright © 2015 Micro Focus GmbH. All rights reserved.